=== debian/rules ===
#!/usr/bin/make -f
export COMPONENT_HASH=9b7ad9e17bead6ad9e2ff8ebfbc7be774fa80d5f
 PIG_VERSION=0.17.0+cdh6.3.2
 PIG_PATCHED_VERSION=0.17.0-cdh6.3.2
 PIG_BASE_VERSION=0.17.0
 PIG_RELEASE=1605554
 CDH_CUSTOMER_PATCH=p0
 CDH_PARCEL_CUSTOM_VERSION=0.17.0+cdh6.3.2-1605554.bionic

# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

pig_pkg_name=pig

%:
	dh $@

override_dh_auto_build:
	env FULL_VERSION=${PIG_PATCHED_VERSION} bash debian/do-component-build

override_dh_auto_install:
	cp debian/*.properties .
	cp debian/pig.1 .
	bash -x debian/install_pig.sh \
	  --build-dir=build \
	  --prefix=debian/${pig_pkg_name} \
          --doc-dir=/usr/share/doc/${pig_pkg_name} \
          --examples-dir=/usr/share/doc/${pig_pkg_name}/examples \
	  --extra-dir=debian/


override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_strip_nondeterminism:
	# Disable dh_strip_nondeterminism to speed up the build

override_dh_strip:
	dh_strip --no-automatic-dbgsym
